#ifndef __3D_ENUMS__
#define __3D_ENUMS__

//Buffer system
#define PSP_LINE_SIZE geGetScreenLine()
#define SCREEN_WIDTH geGetScreenWidth()
#define SCREEN_HEIGHT geGetScreenHeight()
#define FRAMEBUFFER_SIZE geGetFrameBufferSize()


//////Color system//////
#define Color u32
#define A(color) ((u8)(color >> 24 & 0xFF))
#define B(color) ((u8)(color >> 16 & 0xFF))
#define G(color) ((u8)(color >> 8 & 0xFF))
#define R(color) ((u8)(color & 0xFF))
#define COLOR_RGB(r, g, b) r | (g << 8) | (b << 16) | (255 << 24)
#define COLOR_RGBf(r, g, b) (r/255) | ((g/255) << 8) | ((b/255) << 16) | (1 << 24)
#define COLOR_RGBA(r, g, b, a) r | (g << 8) | (b << 16) | (a << 24)
#define COLOR_RGBAf(r, g, b, a) (r/255) | ((g/255) << 8) | ((b/255) << 16) | ((a/255) << 24)
#define COLOR_RGBAm(r, g, b, a) r, g, b, a
#define COLOR_RGBAfm(r, g, b, a) r/255, g/255, b/255, a/255
#define COLOR_ABGR(r, g, b, a) a | (b << 8) | (g << 16) | (r << 24)

#endif
