#ifndef __3D_TYPES__
#define __3D_TYPES__
#include <stdbool.h>

//2D structures
typedef struct {
	bool swizzled;
	short width, height;
	int textureWidth, textureHeight;
	Color* data;
	u8 alpha;
	u8 nColorKeys;
	Color* ColorKeys;
	int partitionId, partitionIdData;
} ge_Image;

typedef struct Screen_struct {
	short width;
	short height;
	short line;
	short m_width;
	short m_height;
	int frame_buffer;
	Color *drawBuf, *dispBuf;
} Screen_struct;

#endif
